<template>
    <footer :class="{ 'homepage-footer': $route.path === '/' }" class="container-fluid text-white">
        <section class="container footer-container py-5">
            <div class="row">
                <div class="col-md-8 col-lg-4 mb-5 mb-lg-0">
                    <img :src="'/assets/images/website/white-text-logo.png'" class="mb-3" width="150px" height="30px">
                    <p class="small text-light col-xl-8">
                        Build skills with courses, certificates and get online knowledge from our world-class platform.
                    </p>
                    <ul class="list-unstyled">
                        <li class="mb-3">
                            <a href="tel:+8801714231625" class="text-decoration-none">
                                <i class="bi bi-telephone me-3"></i>
                                (888) 1234-5678
                            </a>
                        </li>
                        <li class="mb-3">
                            <a href="mailto:info@cafcsn.it" class="text-decoration-none">
                                <i class="bi bi-envelope me-3"></i>
                                info@example.com
                            </a>
                        </li>
                    </ul>
                    <a href="" class="me-3"><i class="bi bi-facebook"></i></a>
                    <a href="" class="me-3"><i class="bi bi-twitter"></i></a>
                    <a href="" class="me-3"><i class="bi bi-instagram"></i></a>
                </div>
                <div class="col-md-4 col-lg-2 mb-5 mb-lg-0">
                    <h4 class="text-primary fs-6 fw-bold mb-3">Useful Links</h4>
                    <ul class="list-unstyled">
                        <li class="mb-3"><router-link to="/courses" class="text-decoration-none">All
                                Courses</router-link></li>
                        <li class="mb-3"><router-link to="/page/about_us" class="text-decoration-none">About
                                Us</router-link></li>
                        <li class="mb-3"><router-link to="/page/faq" class="text-decoration-none">FAQ</router-link></li>
                        <li class="mb-3"><router-link to="/register" class="text-decoration-none">Become a
                                Teacher</router-link></li>
                    </ul>
                </div>
                <div class="col-md-4 col-lg-3 mb-5 mb-lg-0">
                    <h4 class="text-primary fs-6 fw-bold mb-3">Useful Links</h4>
                    <ul class="list-unstyled">
                        <li class="mb-3"><router-link to="/page/contact_us" class="text-decoration-none">Contact
                                Us</router-link></li>
                        <li class="mb-3"><router-link to="/page/terms_and_conditions" class="text-decoration-none">Terms
                                & Conditions</router-link></li>
                        <li class="mb-3"><router-link to="/page/privacy_policy" class="text-decoration-none">Privacy
                                Policy</router-link></li>
                    </ul>
                </div>
                <div class="col-lg-5 col-xl-3">
                    <h4 class="text-primary fs-6 fw-bold mb-3">Download Our App</h4>
                    <div class="d-flex">
                        <div class="bg-white rounded p-1 mb-3">

                            <img :src="'https://quickchart.io/qr?text=' + baseUrl + '/download_app&margin=2&size=110'"
                                class="d-block" alt="Scan QR code">
                            <small class="text-dark d-block text-center">Scan the QR</small>
                        </div>
                    </div>
                    <div>
                        <a href=""><img :src="'/assets/images/website/app-store.png'" alt="App Store" class="me-3"></a>
                        <a href=""><img :src="'/assets/images/website/play-store.png'" alt="Play Store"></a>
                    </div>
                </div>
            </div>
        </section>
        <div class="text-center text-light py-4">
            <small>{{ masterData?.credit_text }}</small>
        </div>
    </footer>
</template>

<style lang="scss" scoped>
footer {
    background-color: #0f172a;

    .footer-container {
        border-bottom: 2px solid #1c2a47;
    }

    a {
        color: #fff;
        transition: color 0.2s ease-out;

        &:hover {
            color: #9E4AED;
        }
    }

}

.homepage-footer {
    clip-path: ellipse(90% 88% at 50% 100%);
    margin-top: -11rem;
    padding-top: 12rem;
}
</style>

<script setup>
import { useMasterStore } from '@/stores/master';
import { ref } from 'vue';

const masterStore = useMasterStore();
const masterData = ref(masterStore.masterData);
const baseUrl = import.meta.env.VITE_APP_URL;
</script>
